CREATE DATABASE  IF NOT EXISTS `kurort` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `kurort`;
-- MySQL dump 10.13  Distrib 5.6.12, for Win64 (x86_64)
--
-- Host: localhost    Database: kurort
-- ------------------------------------------------------
-- Server version	5.6.12-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `bronir`
--

DROP TABLE IF EXISTS `bronir`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bronir` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `nid` int(11) NOT NULL,
  `ddub` date NOT NULL,
  `ddn` date NOT NULL,
  `ddk` date NOT NULL,
  `ttn` datetime NOT NULL,
  `ttk` datetime NOT NULL,
  `ckorp` varchar(5) NOT NULL,
  `ckomn` varchar(5) NOT NULL,
  `nmest` tinyint(1) NOT NULL,
  `ddso` date DEFAULT NULL,
  `ddo` date DEFAULT NULL,
  PRIMARY KEY (`rowid`),
  KEY `bronir_ktobron_idx` (`nid`),
  KEY `bronir_korpus_idx` (`ckorp`,`ckomn`),
  KEY `bronir_korpstat_idx` (`ckorp`),
  CONSTRAINT `bronir_korpstat` FOREIGN KEY (`ckorp`) REFERENCES `korpstat` (`ckorp`) ON UPDATE CASCADE,
  CONSTRAINT `bronir_korpus` FOREIGN KEY (`ckorp`, `ckomn`) REFERENCES `korpus` (`ckorp`, `ckomn`) ON UPDATE CASCADE,
  CONSTRAINT `bronir_ktobron` FOREIGN KEY (`nid`) REFERENCES `ktobron` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bronir`
--

LOCK TABLES `bronir` WRITE;
/*!40000 ALTER TABLE `bronir` DISABLE KEYS */;
/*!40000 ALTER TABLE `bronir` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `const`
--

DROP TABLE IF EXISTS `const`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `const` (
  `calchourz` varchar(9) NOT NULL DEFAULT '0:0:1',
  `calchourv` varchar(9) NOT NULL DEFAULT '0:0:0',
  `bronbreak` int(11) NOT NULL DEFAULT '0',
  `nopaybreak` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `const`
--

LOCK TABLES `const` WRITE;
/*!40000 ALTER TABLE `const` DISABLE KEYS */;
INSERT INTO `const` VALUES ('08:00:01','08:00:00',0,0);
/*!40000 ALTER TABLE `const` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `diagnoses`
--

DROP TABLE IF EXISTS `diagnoses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `diagnoses` (
  `code` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  PRIMARY KEY (`code`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `diagnoses`
--

LOCK TABLES `diagnoses` WRITE;
/*!40000 ALTER TABLE `diagnoses` DISABLE KEYS */;
INSERT INTO `diagnoses` VALUES (1,'БОЛЕН'),(2,'ЗДОРОВ');
/*!40000 ALTER TABLE `diagnoses` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `kateg`
--

DROP TABLE IF EXISTS `kateg`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `kateg` (
  `nkod` int(11) NOT NULL AUTO_INCREMENT,
  `ckateg` varchar(50) NOT NULL,
  PRIMARY KEY (`nkod`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='категории номеров';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `kateg`
--

LOCK TABLES `kateg` WRITE;
/*!40000 ALTER TABLE `kateg` DISABLE KEYS */;
INSERT INTO `kateg` VALUES (1,'1-МЕСТНЫЙ'),(2,'2-МЕСТНЫЙ'),(3,'3-МЕСТНЫЙ');
/*!40000 ALTER TABLE `kateg` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `korpstat`
--

DROP TABLE IF EXISTS `korpstat`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `korpstat` (
  `ckorp` varchar(5) NOT NULL,
  `netag` tinyint(1) NOT NULL,
  `prim` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`ckorp`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `korpstat`
--

LOCK TABLES `korpstat` WRITE;
/*!40000 ALTER TABLE `korpstat` DISABLE KEYS */;
INSERT INTO `korpstat` VALUES ('1',2,NULL),('2',2,NULL);
/*!40000 ALTER TABLE `korpstat` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `korpus`
--

DROP TABLE IF EXISTS `korpus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `korpus` (
  `ckorp` varchar(5) NOT NULL,
  `ckomn` varchar(5) NOT NULL,
  `netag` tinyint(1) NOT NULL,
  `nmest` tinyint(1) NOT NULL,
  `nkateg` int(11) NOT NULL,
  `x` int(11) NOT NULL,
  `y` int(11) NOT NULL,
  PRIMARY KEY (`ckorp`,`ckomn`),
  KEY `korpus_kateg_idx` (`nkateg`),
  KEY `korpus_korpstat_idx` (`ckorp`),
  CONSTRAINT `korpus_kateg` FOREIGN KEY (`nkateg`) REFERENCES `kateg` (`nkod`),
  CONSTRAINT `korpus_korpstat` FOREIGN KEY (`ckorp`) REFERENCES `korpstat` (`ckorp`) ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='корпуса и комнаты';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `korpus`
--

LOCK TABLES `korpus` WRITE;
/*!40000 ALTER TABLE `korpus` DISABLE KEYS */;
INSERT INTO `korpus` VALUES ('1    ','1',1,1,1,1,289),('1    ','10',2,2,2,193,73),('1    ','2',1,1,1,49,289),('1    ','3',1,1,1,97,289),('1    ','4',1,1,1,145,289),('1    ','5',1,1,1,193,289),('1    ','6',2,2,2,1,73),('1    ','7',2,2,2,49,73),('1    ','8',2,2,2,97,73),('1    ','9',2,2,2,145,73),('2    ','1',1,1,1,1,289),('2    ','10',2,2,2,49,73),('2    ','2',1,1,1,49,289),('2    ','3',1,1,1,97,289),('2    ','4',1,2,2,1,241),('2    ','5',1,2,2,49,241),('2    ','6',2,1,1,1,121),('2    ','7',2,1,1,49,121),('2    ','8',2,1,1,97,121),('2    ','9',2,2,2,1,73);
/*!40000 ALTER TABLE `korpus` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ktobron`
--

DROP TABLE IF EXISTS `ktobron`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ktobron` (
  `nid` int(11) NOT NULL AUTO_INCREMENT,
  `cfam` varchar(50) NOT NULL,
  `cimya` varchar(50) NOT NULL,
  `cotch` varchar(50) NOT NULL,
  `ddr` date NOT NULL,
  PRIMARY KEY (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ktobron`
--

LOCK TABLES `ktobron` WRITE;
/*!40000 ALTER TABLE `ktobron` DISABLE KEYS */;
/*!40000 ALTER TABLE `ktobron` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `lpu`
--

DROP TABLE IF EXISTS `lpu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `lpu` (
  `code` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  PRIMARY KEY (`code`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `lpu`
--

LOCK TABLES `lpu` WRITE;
/*!40000 ALTER TABLE `lpu` DISABLE KEYS */;
INSERT INTO `lpu` VALUES (1,'ОБЛАСТНАЯ КЛИНИЧЕСКАЯ БОЛЬНИЦА');
/*!40000 ALTER TABLE `lpu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ludi`
--

DROP TABLE IF EXISTS `ludi`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ludi` (
  `nid` int(11) NOT NULL AUTO_INCREMENT,
  `cfam` varchar(50) NOT NULL,
  `cimya` varchar(50) NOT NULL,
  `cotch` varchar(50) NOT NULL,
  `ddr` date NOT NULL,
  `lris` tinyint(1) DEFAULT NULL,
  `seria` char(4) DEFAULT NULL,
  `nomer` char(6) DEFAULT NULL,
  `kem` varchar(50) DEFAULT NULL,
  `kogda` date DEFAULT NULL,
  `diagnose` int(11) DEFAULT NULL,
  `diagstr` varchar(50) DEFAULT NULL,
  `lpu` int(11) DEFAULT NULL,
  `lpustr` varchar(50) DEFAULT NULL,
  `addrstr` varchar(100) NOT NULL,
  `mrstr` varchar(100) NOT NULL,
  `dom` varchar(5) DEFAULT NULL,
  `korp` varchar(5) DEFAULT NULL,
  `kv` varchar(5) DEFAULT NULL,
  `soc` int(11) DEFAULT NULL,
  `nomer_ib` int(11) DEFAULT NULL,
  `prim` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`nid`),
  KEY `ludi_soc_idx` (`soc`),
  KEY `ludi_lpu_idx` (`lpu`),
  KEY `ludi_diagnose_idx` (`diagnose`),
  CONSTRAINT `ludi_diagnose` FOREIGN KEY (`diagnose`) REFERENCES `diagnoses` (`code`),
  CONSTRAINT `ludi_lpu` FOREIGN KEY (`lpu`) REFERENCES `lpu` (`code`),
  CONSTRAINT `ludi_soc` FOREIGN KEY (`soc`) REFERENCES `soc` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='отдыхающие';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ludi`
--

LOCK TABLES `ludi` WRITE;
/*!40000 ALTER TABLE `ludi` DISABLE KEYS */;
/*!40000 ALTER TABLE `ludi` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ludiput`
--

DROP TABLE IF EXISTS `ludiput`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ludiput` (
  `nidchel` int(11) NOT NULL,
  `nidput` int(11) NOT NULL,
  UNIQUE KEY `chelput` (`nidchel`,`nidput`),
  KEY `ludiput_ludi_idx` (`nidchel`),
  KEY `ludiput_putevki_idx` (`nidput`),
  CONSTRAINT `ludiput_ludi` FOREIGN KEY (`nidchel`) REFERENCES `ludi` (`nid`),
  CONSTRAINT `ludiput_putevki` FOREIGN KEY (`nidput`) REFERENCES `putevki` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ludiput`
--

LOCK TABLES `ludiput` WRITE;
/*!40000 ALTER TABLE `ludiput` DISABLE KEYS */;
/*!40000 ALTER TABLE `ludiput` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mylog`
--

DROP TABLE IF EXISTS `mylog`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `mylog` (
  `dt` datetime NOT NULL,
  `user` varchar(50) NOT NULL,
  `event` varchar(200) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `mylog`
--

LOCK TABLES `mylog` WRITE;
/*!40000 ALTER TABLE `mylog` DISABLE KEYS */;
INSERT INTO `mylog` VALUES ('2017-08-02 14:01:38','WS-69-29-54203 # GalahovAA','openfrmchess');
/*!40000 ALTER TABLE `mylog` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `priot`
--

DROP TABLE IF EXISTS `priot`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `priot` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `nid` int(11) NOT NULL,
  `ttpf` datetime NOT NULL,
  `ttof` datetime NOT NULL,
  PRIMARY KEY (`rowid`),
  KEY `priot_ludi_idx` (`nid`),
  CONSTRAINT `priot_ludi` FOREIGN KEY (`nid`) REFERENCES `ludi` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `priot`
--

LOCK TABLES `priot` WRITE;
/*!40000 ALTER TABLE `priot` DISABLE KEYS */;
/*!40000 ALTER TABLE `priot` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `putevki`
--

DROP TABLE IF EXISTS `putevki`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `putevki` (
  `nid` int(11) NOT NULL AUTO_INCREMENT,
  `cnomer` varchar(10) NOT NULL,
  `ddp` date NOT NULL,
  `ddo` date NOT NULL,
  `ttp` datetime NOT NULL,
  `tto` datetime NOT NULL,
  `ntip` int(11) NOT NULL,
  `lotrtalon` tinyint(1) NOT NULL,
  `price` decimal(10,2) NOT NULL,
  PRIMARY KEY (`nid`),
  KEY `putevki_tip_idx` (`ntip`),
  CONSTRAINT `putevki_tip` FOREIGN KEY (`ntip`) REFERENCES `tip` (`nkod`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `putevki`
--

LOCK TABLES `putevki` WRITE;
/*!40000 ALTER TABLE `putevki` DISABLE KEYS */;
/*!40000 ALTER TABLE `putevki` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `soc`
--

DROP TABLE IF EXISTS `soc`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `soc` (
  `code` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  PRIMARY KEY (`code`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `soc`
--

LOCK TABLES `soc` WRITE;
/*!40000 ALTER TABLE `soc` DISABLE KEYS */;
INSERT INTO `soc` VALUES (1,'РАБОЧИЙ'),(2,'СЛУЖАЩИЙ');
/*!40000 ALTER TABLE `soc` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tip`
--

DROP TABLE IF EXISTS `tip`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tip` (
  `nkod` int(11) NOT NULL AUTO_INCREMENT,
  `ctip` varchar(50) NOT NULL,
  PRIMARY KEY (`nkod`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tip`
--

LOCK TABLES `tip` WRITE;
/*!40000 ALTER TABLE `tip` DISABLE KEYS */;
INSERT INTO `tip` VALUES (1,'С ЛЕЧЕНИЕМ'),(2,'БЕЗ ЛЕЧЕНИЯ');
/*!40000 ALTER TABLE `tip` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `zasel`
--

DROP TABLE IF EXISTS `zasel`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `zasel` (
  `rowid` int(11) NOT NULL AUTO_INCREMENT,
  `nid` int(11) NOT NULL,
  `ttz` datetime NOT NULL,
  `ckorp` varchar(5) NOT NULL,
  `ckomn` varchar(5) NOT NULL,
  `ttv` datetime NOT NULL,
  PRIMARY KEY (`rowid`),
  KEY `zasel_ludi_idx` (`nid`),
  KEY `zasel_korpus_idx` (`ckorp`,`ckomn`),
  KEY `zasel_korpstat_idx` (`ckorp`),
  CONSTRAINT `zasel_korpstat` FOREIGN KEY (`ckorp`) REFERENCES `korpstat` (`ckorp`) ON UPDATE CASCADE,
  CONSTRAINT `zasel_korpus` FOREIGN KEY (`ckorp`, `ckomn`) REFERENCES `korpus` (`ckorp`, `ckomn`) ON UPDATE CASCADE,
  CONSTRAINT `zasel_ludi` FOREIGN KEY (`nid`) REFERENCES `ludi` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `zasel`
--

LOCK TABLES `zasel` WRITE;
/*!40000 ALTER TABLE `zasel` DISABLE KEYS */;
/*!40000 ALTER TABLE `zasel` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Dumping routines for database 'kurort'
--
/*!50003 DROP FUNCTION IF EXISTS `ArrayItem` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` FUNCTION `ArrayItem`(Array mediumtext,`index` int(11)) RETURNS varchar(255) CHARSET utf8
begin
 declare result varchar(255);
 if `index` between 1 and ArrayLength(Array) then
  set result=substring_index(substring_index(Array,';',`index`),';',-1);
 else
  set result=null;
 end if;
 return result;
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP FUNCTION IF EXISTS `ArrayLength` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` FUNCTION `ArrayLength`(Array mediumtext) RETURNS int(11)
begin
 declare cCount,LengthArray int default 1;
 set Array=coalesce(Array,'');
 set LengthArray=char_length(Array);
 if LengthArray=0 then
  set cCount=0;
 else
  set cCount=LengthArray-char_length(replace(Array,';',''))+1;
 end if;
 return cCount;
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `AddItem` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `AddItem`(item varchar(255),inout Array mediumtext)
begin
 if ArrayLength(Array)=0 then
  set Array=item;
 else
  set Array=concat(Array,';',item);
 end if;
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `alltimes` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `alltimes`(p_ckorp varchar(5),p_ckomn varchar(5),p_tn datetime,p_tk datetime)
begin
 declare is_end tinyint(1) default 0;
 declare m_tn,m_tk datetime;
 declare m_mest tinyint(2);
 declare i tinyint(2);
 declare curtimes cursor for
 select ttn,ttk,nmest from bronir where ckorp=p_ckorp and ckomn=p_ckomn and 
 (p_tn between ttn and ttk or p_tk between ttn and ttk or ttn between p_tn and p_tk)
 union all
 select ttz,ttv,1 from zasel where ckorp=p_ckorp and ckomn=p_ckomn and
 (p_tn between ttz and ttv or p_tk between ttz and ttv or ttz between p_tn and p_tk);
 declare continue handler for not found set is_end=1;
 open curtimes;
 mycycle: loop
 fetch curtimes into m_tn,m_tk,m_mest;
 if is_end then leave mycycle;
 end if;
 -- далее циклы по заполнению массивов tnArray & tkArray от 1 до m_mest...
 set i=1;
 while i<=m_mest do
  call AddItem(m_tn,@tnArray); call AddItem(m_tk,@tkArray);
  set i=i+1;
 end while; 
 
 
 end loop mycycle;
 close curtimes;

end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `bronir` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `bronir`(p_nid int(11),p_ddn date,p_ddk date,p_nmest tinyint(1),p_ckorp varchar(5),p_ckomn varchar(5),p_ddso date,p_ddo date,out lid int(11))
begin
 declare m_ttn,m_ttk datetime;
 declare m_calchourz,m_calchourv varchar(9);
 declare m_vsego tinyint(1);
 set lid=0;
 select calchourz,calchourv from const into m_calchourz,m_calchourv;
 set m_ttn=addtime(concat(p_ddn,' 0:0:0'),m_calchourz); 
 set m_ttk=addtime(concat(adddate(p_ddk,interval 1 day),' 0:0:0'),m_calchourv);
 set @tnArray=''; set @tkArray='';
 call alltimes(p_ckorp,p_ckomn,m_ttn,m_ttk);
 set @neperesek=1; 
 select nmest from korpus where ckorp=p_ckorp and ckomn=p_ckomn into m_vsego;
 if p_nmest>m_vsego then set @neperesek=0; else call cnk(m_vsego-p_nmest+1,1); end if;
 if @neperesek=1 then
  insert into bronir (nid,ddub,ddn,ddk,ttn,ttk,ckorp,ckomn,nmest,ddso,ddo) values (p_nid,curdate(),p_ddn,p_ddk,m_ttn,m_ttk,p_ckorp,p_ckomn,p_nmest,p_ddso,p_ddo);
  set lid=last_insert_id();
 end if;
 select @neperesek as neperesek,lid;
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `bronirtr` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `bronirtr`(p_nid int(11),p_ddn date,p_ddk date,p_nmest tinyint(1),p_ckorp varchar(5),p_ckomn varchar(5),p_ddso date,p_ddo date)
begin
 declare lid int(11);
 declare exit handler for sqlwarning,not found,sqlexception rollback;
 start transaction;
 call bronir(p_nid,p_ddn,p_ddk,p_nmest,p_ckorp,p_ckomn,p_ddso,p_ddo,lid);
 commit;
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `chessboard` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `chessboard`(p_date0 date,p_date1 date)
begin
 declare m_date date;
 drop temporary table if exists chessboard;
 create temporary table chessboard(curdate date,ckorp varchar(5),ckomn varchar(5),vsegomest tinyint(2),zanmest tinyint(2),bronmest tinyint(2),svobmest tinyint(2));
 set m_date=p_date0;
 while m_date<=p_date1 do
   insert into chessboard
   select m_date,k.ckorp,k.ckomn,k.nmest,zaselcount,broncount,k.nmest-(zaselcount+broncount) svobcount
   from
   korpus k
   inner join
   (select k.ckorp,k.ckomn,ifnull(zzz.zaselcount,0) zaselcount,ifnull(bbb.broncount,0) broncount
   from
   korpus k 
   left join 
   (select ckorp,ckomn,count(nid) zaselcount from zasel where addtime(concat(m_date,' 0:0:0'),'12:00:00') between ttz and ttv group by ckorp,ckomn) zzz on k.ckorp=zzz.ckorp and k.ckomn=zzz.ckomn
   left join
   (select ckorp,ckomn,sum(nmest) broncount from bronir where addtime(concat(m_date,' 0:0:0'),'12:00:00') between ttn and ttk group by ckorp,ckomn) bbb on k.ckorp=bbb.ckorp and k.ckomn=bbb.ckomn) ttt
   on k.ckorp=ttt.ckorp and k.ckomn=ttt.ckomn
   order by ckorp,ckomn;
   set m_date=adddate(m_date,interval 1 day);
 end while;
 select * from chessboard;
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `cnk` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `cnk`(m int(11),l int(11))
begin
 declare i int(11);
 declare intersectn,intersectk datetime;
 if m=0 then
  -- проверка очередного сочетания на пересечение промежутков времени
  set i=1; set intersectn=ArrayItem(@pn,1); set intersectk=ArrayItem(@pk,1);
  cnkwhile: while i<=ArrayLength(@tnArray)-1 do
   -- set intersectn=max(intersectn,ArrayItem(@pn,i+1)); set intersectk=min(intersectk,ArrayItem(@pk,i+1));
   if intersectn<ArrayItem(@pn,i+1) then set intersectn=ArrayItem(@pn,i+1); end if; if intersectk>ArrayItem(@pk,i+1) then set intersectk=ArrayItem(@pk,i+1); end if;
   if intersectn>intersectk then
    leave cnkwhile;
   end if;
   set i=i+1;
  end while;
  set @pn='';set @pk='';
  if i=ArrayLength(@tnArray) then set @neperesek=0; end if;
 else
  set i=l;
  while i<=ArrayLength(@tnArray)-m+1 do
   call AddItem(ArrayItem(@tnArray,i),@pn); call AddItem(ArrayItem(@tkArray,i),@pk);
   call cnk(m-1,i+1);
   set i=i+1;
  end while;
end if;
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `deleteput` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `deleteput`(p_idput int(11),p_idchel int(11))
begin
 declare m_zcount,m_lpcount smallint default 0;
 select count(*) from zasel z inner join ludiput lp on z.nid=lp.nidchel inner join putevki p on lp.nidput=p.nid
 where lp.nidchel=p_idchel and lp.nidput=p_idput and (z.ttz between p.ttp and p.tto or p.ttp between z.ttz and z.ttv) into m_zcount;
 if m_zcount=0 then
  delete from ludiput where nidchel=p_idchel and nidput=p_idput;
  select count(*) from ludiput where nidput=p_idput into m_lpcount;
  if m_lpcount=0 then
   delete from putevki where nid=p_idput;
  end if;
 end if;
 select m_zcount,m_lpcount;
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `deleteputtr` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `deleteputtr`(p_idput int(11),p_idchel int(11))
begin
 declare exit handler for sqlwarning,not found,sqlexception rollback;
 start transaction;
 call deleteput(p_idput,p_idchel);
 commit;
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `delete_ktobron` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `delete_ktobron`(p_nid int(11))
begin
 declare m_countnid smallint;
 select count(nid) countnid from bronir where nid=p_nid into m_countnid;
 if m_countnid=0 then
  delete from ktobron where nid=p_nid;
 end if;
 select m_countnid as countnid;
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `delete_ludi` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `delete_ludi`(p_nid int(11))
begin
 declare m_countnid_put,m_countnid_po,m_countnid_zasel smallint;
 select count(nidchel) countnid from ludiput where nidchel=p_nid into m_countnid_put;
 select count(nid) countnid from priot where nid=p_nid into m_countnid_po;
 select count(nid) countnid from zasel where nid=p_nid into m_countnid_zasel;
 if m_countnid_put=0 and m_countnid_po=0 and m_countnid_zasel=0 then
  delete from ludi where nid=p_nid;
 end if;
 select m_countnid_put+m_countnid_po+m_countnid_zasel as countnid;
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `editput` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `editput`(p_idput int(11),p_cnomer varchar(10),p_ddp date,p_ddo date,p_ttp datetime,p_tto datetime,p_ntip int(11),p_lotrtalon tinyint(1),p_price decimal(10,2),
out lid int(11),out otkat tinyint(1))
begin
 declare i,i1,j tinyint(2);
 declare is_end tinyint(1) default 0;
 declare m_idchel int(11);
 declare m_ttz,m_ttv,m_ttp,m_tto datetime;
 declare curludi cursor for
 select nidchel from ludiput where nidput=p_idput;
 declare curzasel cursor for
 select ttz,ttv from zasel where nid=m_idchel order by ttz;
 declare curput cursor for
 select ttp,tto from putevki p inner join ludiput lp on p.nid=lp.nidput where lp.nidchel=m_idchel and 
 (p.ttp between m_ttz and m_ttv or m_ttz between p.ttp and p.tto)  order by p.ttp;
 declare continue handler for not found set is_end=1;
 set @tnArray=''; set @tkArray=''; set otkat=0;
 open curludi; 
 delete from ludiput where nidput=p_idput;
 delete from putevki where nid=p_idput;
 set i=1;
 mycycle: loop
 fetch curludi into m_idchel;
 if is_end then leave mycycle;
 end if;
 if i=1 then 
  call newput(m_idchel,p_cnomer,p_ddp,p_ddo,p_ttp,p_tto,p_ntip,p_lotrtalon,p_price,lid);
 else
  call existput(m_idchel,lid);
 end if;
 set i1=1;
 open curzasel;
 mycycle1: loop
 fetch curzasel into m_ttz,m_ttv;
 if i1=1 and is_end then set is_end=0; close curzasel; set i=i+1; iterate mycycle; end if;
 if is_end then set is_end=0; leave mycycle1;
 end if;
 open curput;
 mycycle2: loop
 fetch curput into m_ttp,m_tto;
 if is_end then set is_end=0; leave mycycle2;
 end if;
 call AddItem(m_ttp,@tnArray); call AddItem(m_tto,@tkArray);
 end loop mycycle2;
 close curput;
 set j=1;
 if m_ttz<ArrayItem(@tnArray,1) then close curzasel; set otkat=1; leave mycycle; end if;
 while j<ArrayLength(@tnArray) do
  if (timediff(ArrayItem(@tnArray,j+1),ArrayItem(@tkArray,j))<>'00:00:01.000000') and (timediff(ArrayItem(@tnArray,j+1),ArrayItem(@tkArray,j))<>'00:00:01') then 
   close curzasel; set otkat=1; leave mycycle; 
  end if;
  set j=j+1;
 end while;
 if m_ttv>ArrayItem(@tkArray,ArrayLength(@tkArray)) then close curzasel; set otkat=1; leave mycycle; end if;  
 set i1=i1+1;
 set @tnArray=''; set @tkArray='';
 end loop mycycle1;
 close curzasel;
 set i=i+1;
 end loop mycycle;
 close curludi; 
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `editputtr` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `editputtr`(p_idput int(11),p_cnomer varchar(10),p_ddp date,p_ddo date,p_ttp datetime,p_tto datetime,p_ntip int(11),p_lotrtalon tinyint(1),p_price decimal(10,2))
begin
 declare lid int(11);
 declare otkat tinyint(1);
 declare exit handler for sqlwarning,not found,sqlexception rollback;
 start transaction;
 call editput(p_idput,p_cnomer,p_ddp,p_ddo,p_ttp,p_tto,p_ntip,p_lotrtalon,p_price,lid,otkat);
 if otkat=0 then
  commit;
 else
  rollback;
 end if;
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `editzasel` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `editzasel`(p_id int(11),p_ttz datetime,p_ttv datetime,p_ckorp varchar(5),p_ckomn varchar(5),
out lid int(11),out otkat tinyint(1),in plus tinyint(1))
begin
 declare m_nidchel int(11);
 select nid from zasel where rowid=p_id into m_nidchel;
 delete from zasel where rowid=p_id;
 call zasel(m_nidchel,p_ttz,p_ttv,p_ckorp,p_ckomn,lid,otkat,plus);
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `editzaseltr` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `editzaseltr`(p_id int(11),p_ttz datetime,p_ttv datetime,p_ckorp varchar(5),p_ckomn varchar(5),in plus tinyint(1))
begin
 declare lid int(11); declare otkat tinyint(1);
 declare exit handler for sqlwarning,not found,sqlexception rollback;
 start transaction;
 call editzasel(p_id,p_ttz,p_ttv,p_ckorp,p_ckomn,lid,otkat,plus);
 if otkat=1 then
  rollback;
 else
  if @neperesek=1 then
   commit;
  else
   if plus=0 then
    rollback;
   else
    commit;
   end if;
  end if;
 end if;
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `edit_bronir` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `edit_bronir`(p_id int(11),
p_ddub date,p_ddn date,p_ddk date,p_nmest tinyint(1),p_ckorp varchar(5),p_ckomn varchar(5),p_ddso date,p_ddo date,
out lid int(11))
begin
 declare m_nid int(11);
 select nid from bronir where rowid=p_id into m_nid;
 delete from bronir where rowid=p_id;
 call bronir(m_nid,p_ddn,p_ddk,p_nmest,p_ckorp,p_ckomn,p_ddso,p_ddo,lid);
 if @neperesek=1 then
  update bronir set ddub=p_ddub where rowid=lid;
 end if;
select @neperesek as neperesek;
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `edit_bronirtr` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `edit_bronirtr`(p_id int(11),
p_ddub date,p_ddn date,p_ddk date,p_nmest tinyint(1),p_ckorp varchar(5),p_ckomn varchar(5),p_ddso date,p_ddo date)
begin
 declare lid int(11);
 declare exit handler for sqlwarning,not found,sqlexception rollback;
 start transaction;
 call edit_bronir(p_id,p_ddub,p_ddn,p_ddk,p_nmest,p_ckorp,p_ckomn,p_ddso,p_ddo,lid);
 if @neperesek=1 then
  commit;
 else
  rollback;
 end if;
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `edit_priot` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `edit_priot`(p_nid int(11),p_ttpf datetime,p_ttof datetime)
begin
 declare m_maxttv,m_minttz datetime;
 declare m_nid int(11);
 declare m_countnid int(11);
 declare success tinyint(1) default 0;
 select nid from priot where rowid=p_nid into m_nid;
 select count(rowid) from zasel where nid=m_nid into m_countnid;
 if m_countnid=0 then
  update priot set ttpf=p_ttpf,ttof=p_ttof where rowid=p_nid;
  set success=1;
 else
  select max(ttv),min(ttz) from zasel where nid=m_nid into m_maxttv,m_minttz;
  if p_ttpf<=m_minttz and p_ttof>=m_maxttv then
   update priot set ttpf=p_ttpf,ttof=p_ttof where rowid=p_nid;
   set success=1;
  end if;
 end if; 
 select success;
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `existput` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `existput`(p_idchel int(11),p_idput int(11))
begin
 declare m_putcount,m_pocount smallint;
 declare m_ttpf,m_ttof datetime;
 declare m_ttp,m_tto datetime;
 select ttp,tto from putevki where nid=p_idput into m_ttp,m_tto;
 select count(*) from putevki p inner join ludiput lp on p.nid=lp.nidput 
 where lp.nidchel=p_idchel and (m_ttp between p.ttp and p.tto or p.ttp between m_ttp and m_tto) into m_putcount;
 if m_putcount=0 then
  insert into ludiput (nidchel,nidput) values (p_idchel,p_idput);
  select count(*) from priot where nid=p_idchel into m_pocount;
  if m_pocount=0 then
   insert into priot (nid,ttpf,ttof) values (p_idchel,m_ttp,m_tto);
  else
   select ttpf,ttof from priot where nid=p_idchel into m_ttpf,m_ttof;
   if m_ttpf>m_ttp then set m_ttpf=m_ttp; end if;
   if m_ttof<m_tto then set m_ttof=m_tto; end if;
   update priot set ttpf=m_ttpf,ttof=m_ttof where nid=p_idchel;
  end if;
 end if; 
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `existputtr` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `existputtr`(p_idchel int(11),p_idput int(11))
begin
 declare exit handler for sqlwarning,not found,sqlexception rollback;
 start transaction;
 call existput(p_idchel,p_idput);
 commit;
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `existputzasel` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `existputzasel`(p_idchel int(11),p_idput int(11))
begin
 declare m_putcount,m_pocount smallint;
 declare m_ttpf,m_ttof datetime;
 declare m_ttp,m_tto datetime;
 declare m_zaselcount,m_zcount smallint;
 declare m_rowid int(11);
 declare m_ckorp,m_ckomn varchar(5);
 declare m_ttz,m_ttv datetime;
 declare lid int(11);
 declare otkat tinyint(1);
 select ttp,tto from putevki where nid=p_idput into m_ttp,m_tto;
 select count(*) from putevki p inner join ludiput lp on p.nid=lp.nidput 
 where lp.nidchel=p_idchel and (m_ttp between p.ttp and p.tto or p.ttp between m_ttp and m_tto) into m_putcount;
 if m_putcount=0 then
  insert into ludiput (nidchel,nidput) values (p_idchel,p_idput);
  select count(*) from priot where nid=p_idchel into m_pocount;
  if m_pocount=0 then
   insert into priot (nid,ttpf,ttof) values (p_idchel,m_ttp,m_tto);
  else
   select ttpf,ttof from priot where nid=p_idchel into m_ttpf,m_ttof;
   if m_ttpf>m_ttp then set m_ttpf=m_ttp; end if;
   if m_ttof<m_tto then set m_ttof=m_tto; end if;
   update priot set ttpf=m_ttpf,ttof=m_ttof where nid=p_idchel;
  end if;
  select count(rowid) from zasel where nid=p_idchel into m_zaselcount;
  if m_zaselcount>0 then
   select count(z.rowid) from zasel z where z.nid=p_idchel and z.ttv=(select max(z1.ttv) from zasel z1 where z1.nid=p_idchel and z1.ttv<m_ttp) into m_zcount;
   if m_zcount>0 then
    select z.rowid,z.ckorp,z.ckomn,z.ttz,z.ttv from zasel z where z.nid=p_idchel and z.ttv=(select max(z1.ttv) from zasel z1 where z1.nid=p_idchel and z1.ttv<m_ttp) 
    into m_rowid,m_ckorp,m_ckomn,m_ttz,m_ttv;
    if (timediff(m_ttp,m_ttv)<>'00:00:01.000000') and (timediff(m_ttp,m_ttv)<>'00:00:01') then
     -- call zasel(p_idchel,m_ttp,m_tto,m_ckorp,m_ckomn,lid,otkat,plus);
     select p_idchel,m_ttp,m_tto,m_ckorp,m_ckomn;
    else
     -- call editzasel(m_rowid,m_ttz,m_tto,m_ckorp,m_ckomn,lid,otkat,plus);
     select m_rowid,m_ttz,m_tto,m_ckorp,m_ckomn;
    end if;
   end if;
  end if;
 end if; 
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `existputzaseltr` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `existputzaseltr`(p_idchel int(11),p_idput int(11))
begin
 declare exit handler for sqlwarning,not found,sqlexception rollback;
 start transaction;
 call existputzasel(p_idchel,p_idput);
 commit;
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `ktobron` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `ktobron`(p_cfam varchar(50),p_cimya varchar(50),p_cotch varchar(50),p_ddr date)
begin
 insert into ktobron (cfam,cimya,cotch,ddr) values (p_cfam,p_cimya,p_cotch,p_ddr);
 select last_insert_id() as lid;
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `ludi` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `ludi`(p_cfam varchar(50),p_cimya varchar(50),p_cotch varchar(50),p_ddr date,p_lris tinyint(1),p_seria char(4),p_nomer char(6),p_kem varchar(50),p_kogda date,
p_diagnose int(11),p_lpu int(11),p_addrstr varchar(100),p_mrstr varchar(100),p_dom varchar(5),p_korp varchar(5),p_kv varchar(5),p_soc int(11),p_nomer_ib int(11),p_prim varchar(50))
begin
 insert into ludi (cfam,cimya,cotch,ddr,lris,seria,nomer,kem,kogda,diagnose,lpu,addrstr,mrstr,dom,korp,kv,soc,nomer_ib,prim) values 
 (p_cfam,p_cimya,p_cotch,p_ddr,p_lris,p_seria,p_nomer,p_kem,p_kogda,p_diagnose,p_lpu,p_addrstr,p_mrstr,p_dom,p_korp,p_kv,p_soc,p_nomer_ib,p_prim);
 select last_insert_id() as lid;
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `mainquery` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `mainquery`(p_begintime datetime,p_endtime datetime)
begin
 select
 l.nid lnid,l.cfam,l.cimya,l.cotch,l.ddr,l.mrstr,l.seria,l.nomer,l.kem,l.kogda,l.addrstr,
 diagnoses.name diagnose,lpu.name lpu,soc.name soc,
 p.nid pnid,p.cnomer,p.ddp,p.ddo,p.ttp,p.tto,p.price,tip.nkod,tip.ctip,
 z.rowid,z.ttz,z.ckorp,z.ckomn,z.ttv
 from
 ludi l inner join ludiput lp on l.nid=lp.nidchel
 inner join putevki p on lp.nidput=p.nid
 inner join tip on p.ntip=tip.nkod
 inner join zasel z on l.nid=z.nid
 left join diagnoses on l.diagnose=diagnoses.name
 left join lpu on l.lpu=lpu.name
 left join soc on l.soc=soc.name
 where
 (p_begintime between p.ttp and p.tto or p.ttp between p_begintime and p_endtime)
 and
 (p_begintime between z.ttz and z.ttv or z.ttz between p_begintime and p_endtime)
 and
 (p.ttp between z.ttz and z.ttv or z.ttz between p.ttp and p.tto)
 order by ckorp,cfam,cimya,cotch,lnid,ttp,ttz;
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `movezasel` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `movezasel`(p_id int(11),p_tv datetime,p_ckorp varchar(5),p_ckomn varchar(5),
out lid int(11),out otkat tinyint(1),in plus tinyint(1))
begin
 declare m_idchel int(11);
 declare m_ttv datetime;
 select nid,ttv from zasel where rowid=p_id into m_idchel,m_ttv;
 update zasel set ttv=p_tv where rowid=p_id;
 call zasel(m_idchel,addtime(p_tv,'00:00:01.000000'),m_ttv,p_ckorp,p_ckomn,lid,otkat,plus);
 end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `movezaseltr` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `movezaseltr`(p_id int(11),p_tv datetime,p_ckorp varchar(5),p_ckomn varchar(5),in plus tinyint(1))
begin
 declare lid int(11); declare otkat tinyint(1);
 declare exit handler for sqlwarning,not found,sqlexception rollback;
 start transaction;
 call movezasel(p_id,p_tv,p_ckorp,p_ckomn,lid,otkat,plus);
 if otkat=1 then
  rollback;
 else
  if @neperesek=1 then
   commit;
  else
   if plus=0 then
    rollback;
   else
    commit;
   end if;
  end if;
 end if;
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `newput` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `newput`(p_idchel int(11),p_cnomer varchar(10),p_ddp date,p_ddo date,p_ttp datetime,p_tto datetime,p_ntip int(11),p_lotrtalon tinyint(1),p_price decimal(10,2),
out lid int(11))
begin
 declare m_putcount,m_pocount smallint;
 declare m_ttpf,m_ttof datetime;
 select count(*) from putevki p inner join ludiput lp on p.nid=lp.nidput 
 where lp.nidchel=p_idchel and (p_ttp between p.ttp and p.tto or p.ttp between p_ttp and p_tto) into m_putcount;
 set lid=0;
 if m_putcount=0 then
  insert into putevki (cnomer,ddp,ddo,ttp,tto,ntip,lotrtalon,price) values (p_cnomer,p_ddp,p_ddo,p_ttp,p_tto,p_ntip,p_lotrtalon,p_price);
  set lid=last_insert_id();
  insert into ludiput (nidchel,nidput) values (p_idchel,lid);
  select count(*) from priot where nid=p_idchel into m_pocount;
  if m_pocount=0 then
   insert into priot (nid,ttpf,ttof) values (p_idchel,p_ttp,p_tto);
  else
   select ttpf,ttof from priot where nid=p_idchel into m_ttpf,m_ttof;
   if m_ttpf>p_ttp then set m_ttpf=p_ttp; end if;
   if m_ttof<p_tto then set m_ttof=p_tto; end if;
   update priot set ttpf=m_ttpf,ttof=m_ttof where nid=p_idchel;
  end if;
 end if; 
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `newputtr` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `newputtr`(p_idchel int(11),p_cnomer varchar(10),p_ddp date,p_ddo date,p_ttp datetime,p_tto datetime,p_ntip int(11),p_lotrtalon tinyint(1),p_price decimal(10,2))
begin
 declare lid int(11);
 declare exit handler for sqlwarning,not found,sqlexception rollback;
 start transaction;
 call newput(p_idchel,p_cnomer,p_ddp,p_ddo,p_ttp,p_tto,p_ntip,p_lotrtalon,p_price,lid);
 commit;
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `newputzasel` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `newputzasel`(p_idchel int(11),p_cnomer varchar(10),p_ddp date,p_ddo date,p_ttp datetime,p_tto datetime,p_ntip int(11),p_lotrtalon tinyint(1),p_price decimal(10,2),
out lid int(11))
begin
 declare m_putcount,m_pocount smallint;
 declare m_ttpf,m_ttof datetime;
 declare otkat tinyint(1); 
 declare m_zaselcount,m_zcount smallint;
 declare m_rowid int(11);
 declare m_ckorp,m_ckomn varchar(5);
 declare m_ttz,m_ttv datetime;
 select count(*) from putevki p inner join ludiput lp on p.nid=lp.nidput 
 where lp.nidchel=p_idchel and (p_ttp between p.ttp and p.tto or p.ttp between p_ttp and p_tto) into m_putcount;
 set lid=0;
 if m_putcount=0 then
  insert into putevki (cnomer,ddp,ddo,ttp,tto,ntip,lotrtalon,price) values (p_cnomer,p_ddp,p_ddo,p_ttp,p_tto,p_ntip,p_lotrtalon,p_price);
  set lid=last_insert_id();
  insert into ludiput (nidchel,nidput) values (p_idchel,lid);
  select count(*) from priot where nid=p_idchel into m_pocount;
  if m_pocount=0 then
   insert into priot (nid,ttpf,ttof) values (p_idchel,p_ttp,p_tto);
  else
   select ttpf,ttof from priot where nid=p_idchel into m_ttpf,m_ttof;
   if m_ttpf>p_ttp then set m_ttpf=p_ttp; end if;
   if m_ttof<p_tto then set m_ttof=p_tto; end if;
   update priot set ttpf=m_ttpf,ttof=m_ttof where nid=p_idchel;
  end if;
  select count(rowid) from zasel where nid=p_idchel into m_zaselcount;
  if m_zaselcount>0 then
   select count(z.rowid) from zasel z where z.nid=p_idchel and z.ttv=(select max(z1.ttv) from zasel z1 where z1.nid=p_idchel and z1.ttv<p_ttp) into m_zcount;
   if m_zcount>0 then
    select z.rowid,z.ckorp,z.ckomn,z.ttz,z.ttv from zasel z where z.nid=p_idchel and z.ttv=(select max(z1.ttv) from zasel z1 where z1.nid=p_idchel and z1.ttv<p_ttp) 
    into m_rowid,m_ckorp,m_ckomn,m_ttz,m_ttv;
    if (timediff(p_ttp,m_ttv)<>'00:00:01.000000') and (timediff(p_ttp,m_ttv)<>'00:00:01') then
     -- call zasel(p_idchel,p_ttp,p_tto,m_ckorp,m_ckomn,lid,otkat,plus);
     select p_idchel,p_ttp,p_tto,m_ckorp,m_ckomn;
    else
     -- call editzasel(m_rowid,m_ttz,p_tto,m_ckorp,m_ckomn,lid,otkat,plus);
     select m_rowid,m_ttz,p_tto,m_ckorp,m_ckomn;
    end if;
   end if;
  end if;
 end if; 
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `newputzaseltr` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `newputzaseltr`(p_idchel int(11),p_cnomer varchar(10),p_ddp date,p_ddo date,p_ttp datetime,p_tto datetime,p_ntip int(11),p_lotrtalon tinyint(1),p_price decimal(10,2))
begin
 declare lid int(11);
 declare exit handler for sqlwarning,not found,sqlexception rollback;
 start transaction;
 call newputzasel(p_idchel,p_cnomer,p_ddp,p_ddo,p_ttp,p_tto,p_ntip,p_lotrtalon,p_price,lid);
 commit;
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `state` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `state`(mytime datetime)
begin
 create temporary table wait
 select ckorp,ckomn,sum(nmest) nwait from bronir where mytime between ttn and ttk group by ckorp,ckomn order by ckorp,ckomn;
 create temporary table zan
 select
 korp.ckorp,korp.ckomn,
 case when nzanreal<=korp.nmest-ifnull(wait.nwait,0) then nzanreal else korp.nmest-ifnull(wait.nwait,0) end as nzan,nzanreal
 from korpus korp
 inner join
 (select ckorp,ckomn,count(rowid) nzanreal from zasel where mytime between ttz and ttv group by ckorp,ckomn) ttt on korp.ckorp=ttt.ckorp and korp.ckomn=ttt.ckomn
 left join wait on korp.ckorp=wait.ckorp and korp.ckomn=wait.ckomn;
 create temporary table brall
 select ckorp,ckomn,ttn,priznak,sum(nmest) nbr from
 (select ckorp,ckomn,nmest,ttn,
 case when ddso is null or date(mytime)<ddso then 'BR   '  
 when date(mytime)>=ddso and (ddo is null or date(mytime)<ddo) then 'BRSO '
 when date(mytime)>=ddo then 'BRSOO' end as priznak
 from bronir where date(mytime)>=ddub and mytime<ttn) ba0
 group by ckorp,ckomn,ttn,priznak;
 create temporary table mintime
 select ckorp,ckomn,min(ttn) as mintime from brall group by ckorp,ckomn order by ckorp,ckomn;
 create temporary table brallmin
 select brall.ckorp,brall.ckomn,brall.nbr,brall.priznak from 
 brall inner join mintime on brall.ckorp=mintime.ckorp and brall.ckomn=mintime.ckomn and brall.ttn=mintime.mintime order by brall.ckorp,brall.ckomn,brall.priznak;
 create temporary table busy 
 select ckorp,ckomn,sum(itogo) as itogo from
 (select korp.ckorp,korp.ckomn,ifnull(zan.nzan,0) as itogo from korpus korp left join zan on korp.ckorp=zan.ckorp and korp.ckomn=zan.ckomn
 union all
 select korp.ckorp,korp.ckomn,ifnull(b.nbr,0) as itogo from korpus korp left join brallmin b on korp.ckorp=b.ckorp and korp.ckomn=b.ckomn
 union all
 select korp.ckorp,korp.ckomn,ifnull(wait.nwait,0) as itogo from korpus korp left join wait on korp.ckorp=wait.ckorp and korp.ckomn=wait.ckomn) ttt
 group by ckorp,ckomn;
 create temporary table svob
 select korp.ckorp,korp.ckomn,
 case when korp.nmest-busy.itogo>0 then korp.nmest-busy.itogo else 0 end as nsvob
 from korpus korp inner join busy on korp.ckorp=busy.ckorp and korp.ckomn=busy.ckomn
 order by korp.ckorp,korp.ckomn;
 
 select * from wait;
 select * from zan;
 select * from brallmin;
 select * from svob;

 drop table wait;
 drop table zan;
 drop table brall;
 drop table mintime;
 drop table brallmin;
 drop table busy;
 drop table svob;
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `zasel` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `zasel`(p_idchel int(11),p_ttz datetime,p_ttv datetime,p_ckorp varchar(5),p_ckomn varchar(5),
out lid int(11),out otkat tinyint(1),in plus tinyint(1))
begin
 declare is_end tinyint(1) default 0;
 declare m_ttp,m_tto datetime;
 declare i tinyint(2);
 declare m_vsego tinyint(1);
 declare m_zaselcount smallint;
 declare curput cursor for
 select ttp,tto from putevki p inner join ludiput lp on p.nid=lp.nidput where lp.nidchel=p_idchel and 
 (p.ttp between p_ttz and p_ttv or p_ttz between p.ttp and p.tto)  order by p.ttp;
 declare continue handler for not found set is_end=1;
 set lid=0;
 set @tnArray=''; set @tkArray=''; set otkat=0; set @neperesek=0;
 select count(*) from zasel where nid=p_idchel and (ttz between p_ttz and p_ttv or p_ttz between ttz and ttv) into m_zaselcount;
 if m_zaselcount=0 then
  open curput;
  set i=1;
  mycycle: loop
  fetch curput into m_ttp,m_tto;
  if i=1 and is_end then set otkat=1; leave mycycle; end if;
  if is_end then leave mycycle; end if;
  call AddItem(m_ttp,@tnArray); call AddItem(m_tto,@tkArray);
  set i=i+1;
  end loop mycycle;
  close curput;
 else
  set otkat=1;
 end if;
 if otkat=0 then
  set i=1;
  if p_ttz<ArrayItem(@tnArray,1) then set otkat=1; end if;
   while i<ArrayLength(@tnArray) do
    if (timediff(ArrayItem(@tnArray,i+1),ArrayItem(@tkArray,i))<>'00:00:01.000000') and (timediff(ArrayItem(@tnArray,i+1),ArrayItem(@tkArray,i))<>'00:00:01') then set otkat=1; end if;
    set i=i+1;
   end while;
  if p_ttv>ArrayItem(@tkArray,ArrayLength(@tkArray)) then set otkat=1; end if;  
 end if;
 if otkat=0 then
  set @tnArray=''; set @tkArray='';
  call alltimes(p_ckorp,p_ckomn,p_ttz,p_ttv);
  set @neperesek=1; 
  select nmest from korpus where ckorp=p_ckorp and ckomn=p_ckomn into m_vsego;
  call cnk(m_vsego,1);
  if @neperesek=1 then
   insert into zasel (nid,ttz,ttv,ckorp,ckomn) values (p_idchel,p_ttz,p_ttv,p_ckorp,p_ckomn);
   set lid=last_insert_id();
  else
   if plus=1 then
    insert into zasel (nid,ttz,ttv,ckorp,ckomn) values (p_idchel,p_ttz,p_ttv,p_ckorp,p_ckomn);
    set lid=last_insert_id();
   end if;
  end if;
 end if;
 select otkat,@neperesek as neperesek,lid;
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `zaseltr` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `zaseltr`(p_idchel int(11),p_ttz datetime,p_ttv datetime,p_ckorp varchar(5),p_ckomn varchar(5),in plus tinyint(1))
begin
 declare lid int(11); declare otkat tinyint(1);
 declare exit handler for sqlwarning,not found,sqlexception rollback;
 start transaction;
 call zasel(p_idchel,p_ttz,p_ttv,p_ckorp,p_ckomn,lid,otkat,plus);
 if otkat=1 then
  rollback;
 else
  if @neperesek=1 then
   commit;
  else
   if plus=0 then
    rollback;
   else
    commit;
   end if;
  end if;
 end if;
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `_bronir` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `_bronir`(p_id int(11),p_mest tinyint(1))
begin
 declare m_mest tinyint(1);
 declare m_nid,m_countnid int(11);
 select nmest-p_mest,nid from bronir where rowid=p_id into m_mest,m_nid;
 if m_mest>0 then
  update bronir set nmest=m_mest where rowid=p_id;
 else
  delete from bronir where rowid=p_id;
  select count(nid) from bronir where nid=m_nid into m_countnid;
  if m_countnid=0 then
   delete from ktobron where nid=m_nid;
  end if;
 end if;
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `_bronirtr` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `_bronirtr`(p_id int(11),p_mest tinyint(1))
begin
 declare exit handler for sqlwarning,not found,sqlexception rollback;
 start transaction;
 call _bronir(p_id,p_mest);
 commit;
end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2017-08-02 14:02:05
